<?php
/*
Template Name: News
*/
?>

<?php get_header(); ?>

	<div id="content" class="narrowcolumn">

	<?php if (have_posts()) : ?>
	<?php query_posts('cat=1'); ?>
		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
				<h2><small><?php the_time('F jS, Y') ?> <!-- by <?php the_author() ?> --></small><a href="<?php the_permalink() ?>" rel="bookmark" title="永久链接地址: <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				
				<div class="entry">
					<?php the_content('更多 &raquo;'); ?>
				</div>
				
				<p class="postmetadata"><?php the_tags( '标签: ', ', ', ' | '); ?><?php comments_popup_link('没有评论', '1 条评论', '% 条评论'); ?><?php edit_post_link('编辑', ' | ', ''); ?></p>
			</div>

		<?php endwhile; ?>

		<?php if (function_exists('wp_pagenavi')) : ?>
		<div id="navigation">
			<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } ?>
		</div>
		<?php else : ?>
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>
		<?php endif; ?>

	<?php else : ?>

		<h2 class="center">没有找到</h2>
		<p class="center">很抱歉，你要找的文章不在这里。</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>