<?php get_header(); ?>

	<div id="content" class="widecolumn">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>

		<div class="post" id="post-<?php the_ID(); ?>">
			<h2><?php the_title(); ?></h2>
				<p class="postmetadata">
					<?php the_time('l, F jS, Y') ?> <?php the_time() ?>
				</p>

			<div class="entry">
				<?php the_content('<p class="serif">更多 &raquo;</p>'); ?>

				<?php wp_link_pages(array('before' => '<p><strong>页面: </strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

				<p class="postmetadata alt">
					<small>
						<?php the_tags( '标签: ', ', ', ' | '); ?>
						<?php post_comments_feed_link('订阅'); ?> | 
						<a href="<?php trackback_url(); ?>" rel="trackback">引用</a>
						<?php edit_post_link('编辑',' | ',''); ?>
					</small>
				</p>
			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p>很抱歉，没有符合要求的文章。</p>

<?php endif; ?>

	</div>
	
<?php get_sidebar(); ?>

<?php get_footer(); ?>
